# Automation Triggers and Command Line Calls

As of BaseSpace Clarity LIMS v5, the Operations Interface Java client, which is used by administrators to configure processes, consumables, user-defined fields, and users, has been deprecated. All configuration and administration tasks are now executed in the Clarity LIMS web interface.

In addition, several terms have been deprecated:

* **External Program Integration Plug-in (EPP)** has been replaced with **automation**
* **EPP/Automated Informatics (AI) node** has been replaced with **automation worker / AW node**
* **Parameter** has been replaced with **token**

Use step automations to trigger a command-line call on a process/step or a file attachment event. The steps required differ depending on the LIMS version.

This article provides an overview of the steps required to configure automations and automation triggers. For detailed version-specific instructions, see the following documentation:

* Clarity LIMS v6 reference guide > Configuration > Automations

### Configuration (Clarity LIMS v5 and later) <a href="#config5" id="config5"></a>

1. On the main menu bar, click **Configuration**, and then click the **Automation** tab.
2. On the **Automation** configuration screen, on the **Step Automation** tab, add a new automation:
   * Name the automation.
   * Set the channel name.
   * Define the command line.
   * Enable the automation on the desired steps.
3. On the **Master Step Settings** or **Step Settings** screen of the related step, set the following:
   * **Trigger Location**—The stage at which the script it is to be initiated (beginning of step, end of step, on entry to/exit from a screen, etc.).
   * **Trigger Style**—How the script is to be initiated (automatically or manually when the user selects a button in the interface).

### Additional resources

For more information, see the [API Training Videos](/api-and-database/api-docs/application-examples/resources-and-references/api-training-videos.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.claritylims.illumina.com/api-and-database/api-docs/automation/automation-triggers-and-command-line-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
